TkWidgets {tcltk} | R Documentation

## Tk widgets

### Description

Create Tk widgets and associated R objects.

### Usage

    tkwidget(parent, type, ...)
    tkbutton(parent, ...)
    tkcanvas(parent, ...)
    tkcheckbutton(parent, ...)
    tkentry(parent, ...)
    tkframe(parent, ...)
    tklabel(parent, ...)
    tklistbox(parent, ...)
    tkmenu(parent, ...)
    tkmenubutton(parent, ...)
    tkmessage(parent, ...)
    tkradiobutton(parent, ...)
    tkscale(parent, ...)
    tkscrollbar(parent, ...)
    tktext(parent, ...)
    tktoplevel(parent=.TkRoot, ...)

### Arguments

`parent` | Parent of widget window
`type` | string describing the type of widget desired
`...` | handled via `.Tcl.args`

### Details

These functions create Tk widgets. `tkwidget` creates a widget of a given type, the others simply call `tkwidget` with the respective `type` argument.

It is not possible to describe the widgets and their arguments in full. Please refer to the Tcl/Tk documentation.

### See Also

`TclInterface`, `TkCommands`, `TkWidgetcmds`

### Examples

    ## These cannot be run by examples() but should be OK when pasted
    ## into an interactive R session with the tcltk package loaded

    tt <- tktoplevel()
    label.widget <- tklabel(tt, text="Hello, World!")
    button.widget <- tkbutton(tt, text="Push",
                              command=function()cat("OW!\n"))
    tkpack(label.widget, button.widget) # geometry manager
                                        # see Tk-commands

    ## Push the button and then...

    tkdestroy(tt)